1.0
1.0
get /v1/volumes
Description
볼륨 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | 총 개수 여부 Example : True | any of [boolean, null] | True |
| query | limit optional | 페이지 항목 개수 Example : 20 | any of [integer, null] | 20 |
| query | marker optional | 이전 요청에서 마지막으로 반환된 항목 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | any of [string, null] | None |
| query | sort optional | 쉼표로 구분된 정렬 목록이며 <키>[:<방향>] 형식으로 지정 Example : created_at:desc | any of [string, null] | None |
| query | offset optional | 목록에서 시작할 지점의 인덱스 Example : 0 | any of [integer, null] | None |
| query | name optional | 볼륨명 Example : volume01 | any of [string, null] | None |
| query | state optional | 볼륨 상태 Example : available | any of [string, null] | None |
| query | bootable optional | 부트 디스크 여부 Example : False | any of [boolean, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"count": 100,
"volumes": [
{
"bootable": false,
"created_at": "2026-02-11T06:44:46.280Z",
"encrypted": true,
"id": "3f500f00-ed80-4566-a057-e31760226f9a",
"modified_at": "2025-07-26T12:00:00Z",
"multiattach": false,
"name": "volume01",
"servers": [
{
"attached_at": "2026-02-11T06:44:46.322Z",
"device": "/dev/vda",
"id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
],
"size": 104,
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"state": "available",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_image_metadata": {
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"disk_format": "qcow2",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"min_disk": 100,
"min_ram": 0,
"os_distro": "alma",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"signature_verified": false,
"size": 2429747200
},
"volume_type": "SSD",
"volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}
]
}